Retrieves a user week approval with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_week_approval| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key of User |
globally unique identifier |
Required |
| approved_date_start |
Starting date of the approved range |
date |
Required |
| approved_date_end |
Ending date of the approved range |
date |
Required |
| date_approval |
Date+Time when the approval occured |
date |
Required |
| is_approved |
Indicate if the selection (range) is approved |
boolean |
Required |
| approved_by_user_id |
Foreign key of user,who did the approval |
globally unique identifier |
Required |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "2b75f968-b4ef-485f-b571-6b81c6580a82",
"user_id": "be4f38c6-1c13-4b30-89b3-37607a1c2706",
"approved_date_start": "2026-05-06T22:39:16.035619+00:00",
"approved_date_end": "2026-05-06T22:39:16.035619+00:00",
"date_approval": "2026-05-06T22:39:16.035619+00:00",
"is_approved": true,
"approved_by_user_id": "c3b3e23d-7634-4f3c-98df-a91f6c0d6cad",
"modified_dateutc": "2026-05-06T22:39:16.035619+00:00"
}